package nsdb;
final public class CommitFailedHolder
	implements org.omg.CORBA.portable.Streamable
{
	public nsdb.CommitFailed value;

	public CommitFailedHolder ()
	{
	}
	public CommitFailedHolder (nsdb.CommitFailed initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return nsdb.CommitFailedHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream _in)
	{
		value = nsdb.CommitFailedHelper.read(_in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream _out)
	{
		nsdb.CommitFailedHelper.write(_out,value);
	}
}
